Bug 962768 - Cassandra Migration - Migration estimation for large db is 5 times more than actual migration process
Cassandra Migration - Migration estimation for large db is 5 times more than...
Status: CLOSED WONTFIX
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
x86_64 Linux
medium Severity medium
: ---
: JON 3.3.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 08:10 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-28 13:59:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armine Hovsepyan 2013-05-14 08:10:33 EDT
Description of problem:
Cassandra Migration  - Migration estimation for large db is 5 times more than actual migration process

Version-Release number of selected component (if applicable):
jenkins build 215

How reproducible:
2  of 2

Steps to Reproduce:
1. prepare env with large data in postgres (my example 17500000 rows in rhq_meas_data_num_rxx)
2. run migration jar
3.
  
Actual results:
estimation is 101min - actual run takes 21 mins

Expected results:
Estimate is reasonably accurate (within 10% accurate)

Additional info:
estimation and migration timing can be found  in Jenkins - Migrator_Run 49 and 50 builds
Comment 1 Heiko W. Rupp 2013-08-24 14:17:31 EDT
Stefan, is there a way to improve the estimate (without having the estimation running for too long?)
Comment 3 Jay Shaughnessy 2014-08-26 10:01:17 EDT
Flagging Stefan to answer above question and triage.  Currently assigned but no target.
Comment 4 Stefan Negrea 2014-08-28 13:59:49 EDT
The code uses a linear approximation with padding based on the migration of a sample amount of actual data. The goal of the approximation is to give an upper bound for the migration. There is no way to account for changes in network speeds or additional environment parameters, so a conservative estimation will cover for adverse external factors.

The estimation is an upper bound for the migration time and as long as the migration occurs in less time this feature works as expected.

Note You need to log in before you can comment on or make changes to this bug.